ChangeSet 1.1148.6.17, 2003/10/23 17:24:55-07:00, stern@rowland.harvard.edu

[PATCH] USB: fix for earlier unusual_devs.h patch

An earlier patch caused trouble because it effectively removed the
US_FL_FIX_INQUIRY flag for devices with release number higher than
0x5009.  This one might cause problems because it explicitly goes
against the immediately preceding comment in unusual_devs.h.  That
comment says that these Casio digital cameras claim to use the CBI
transport when in fact they only use CB.  However, there have been two
reports in the last few weeks from people getting the "unneeded SubClass
and Protocol" log messages.  One of them was using a device with release
number 0x1000, right at the start of the range.  The other had a device
with release number 0x5010, just beyond the end of the current range.

Maybe Casio is marketing two different devices with different behaviors
but having the same Vendor, Product, and Release values -- I don't know.


 drivers/usb/storage/unusual_devs.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	Fri Oct 24 17:00:50 2003
+++ b/drivers/usb/storage/unusual_devs.h	Fri Oct 24 17:00:50 2003
@@ -548,10 +548,10 @@
  * - They don't like the INQUIRY command. So we must handle this command
  *   of the SCSI layer ourselves.
  */
-UNUSUAL_DEV( 0x07cf, 0x1001, 0x1000, 0x5009,
+UNUSUAL_DEV( 0x07cf, 0x1001, 0x1000, 0x9999,
 		"Casio",
 		"QV DigitalCamera",
-		US_SC_8070, US_PR_CB, NULL,
+		US_SC_DEVICE, US_PR_DEVICE, NULL,
 		US_FL_FIX_INQUIRY ),
 
 /* Submitted by Hartmut Wahl <hwahl@hwahl.de>*/
